# Uses of Class
org.springframework.beans.DirectFieldAccessor

Packages that use DirectFieldAccessor
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.

## Uses of DirectFieldAccessor in org.springframework.beans

Methods in org.springframework.beans that return DirectFieldAccessor
Modifier and Type
Method
Description
`protected DirectFieldAccessor`
DirectFieldAccessor.`newNestedPropertyAccessor(Object object, String nestedPath)`
Constructors in org.springframework.beans with parameters of type DirectFieldAccessor
Modifier
Constructor
Description
`protected`
`DirectFieldAccessor(Object object, String nestedPath, DirectFieldAccessor parent)`
Create a new DirectFieldAccessor for the given object, registering a nested path that the object is in.